> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank account balances

> Returns all balances for a bank account, ordered by date descending.



## OpenAPI

````yaml /openapi.json get /bank_account_balances
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /bank_account_balances:
    get:
      summary: List bank account balances
      description: Returns all balances for a bank account, ordered by date descending.
      parameters:
        - in: query
          name: bank_account_id
          required: true
          schema:
            type: string
          description: The bank account to list balances for
      responses:
        '200':
          description: List of bank account balances
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BankAccountBalance'
        '401':
          description: Unauthorized
        '422':
          description: bank_account_id is required
components:
  schemas:
    BankAccountBalance:
      type: object
      required:
        - bank_account_id
        - date
        - balance_type
        - amount_cents
      properties:
        id:
          type: integer
          description: Unique numeric identifier
        bank_account_id:
          type: integer
          description: ID of the bank account this balance belongs to
        date:
          type: string
          format: date
          description: The date of the balance
        balance_type:
          type: string
          enum:
            - opening_ledger
            - closing_ledger
            - current_ledger
            - opening_available
            - opening_available_next_business_day
            - closing_available
            - current_available
            - previously_closed_book
            - other
          description: The type of balance
        amount_cents:
          type: integer
          description: The balance amount in cents (e.g., 1234 = $12.34)
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````